Skip to main content
GET
/
storefronts
List storefronts
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/storefronts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 0,
      "platformId": "<string>",
      "name": "<string>",
      "publisherDomain": "<string>",
      "sources": [
        {
          "sourceId": "<string>",
          "name": "<string>",
          "protocol": "MCP",
          "requiresCredentials": true,
          "connected": true,
          "customerAccounts": [
            {
              "accountIdentifier": "<string>",
              "status": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "total": 4503599627370495,
  "hasMore": true,
  "nextOffset": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

name
string

Filter by storefront name (partial match, case-insensitive)

limit
integer

Maximum storefronts per page (default: 20, max: 50)

Required range: x <= 50
offset
integer

Number of storefronts to skip for pagination (default: 0)

Required range: 0 <= x <= 9007199254740991

Response

List storefronts

Paginated list of storefronts available to a buyer

items
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required
nextOffset
integer | null
required
Required range: 0 <= x <= 9007199254740991